Subject: Re: Default compiler behaviour for b19
From: [email-masked] ("Andrey A. Kulaga")

10 Sep 1997 08:43:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: <[email-masked]> (message from Anthony Wesley on
	Fri, 05 Sep 1997 11: 23:31 +1000)
Original-Sender: [email-masked]

It's very important to me to have possibility produce native win32 binaries.
It doesn't matter, whether this option will be default. I like GNU tools, but i
want my code be portable between compilers. That's why l'm using Minimalist
package by Colin Peters (thanks for them).

--------------------
> Date: Fri, 05 Sep 1997 11:23:31 +1000
> From: Anthony Wesley <[email-masked]>
> Reply-To: [email-masked]
> 
> Perhaps I am misreading the comments on the gnuwin32 home page, but it
> looks like Cygnus are proposing to have "gcc -o foo foo.c" generate
> native win32 binaries by default and not link with cygwin.dll. To
> compile UNIX-ish tools and link with the cygwin.dll library you will
> have to supply an extra command line option.
> 
> This seems silly to me, and the wrong way around. After all, gcc and all
> the nice tools and development environment came from the UNIX land, so
> surely generating UNIX-ish binaries should be the default, making
> porting UNIX applications and tools the native mode, whereas generating
> pure win32 binaries should be the "foreign" mode.
> 
> It would be really strange to have "gcc -o foo foo.c" not work as
> expected by people coming from the UNIX world. I realise that this
> behavious could be covered up (eg have an environment variable to select
> the mode, or put it in the gcc compiler-options file) but I believe that
> it would still be the wrong attitude by Cygnus to do this.
> 
> Just my AUS $0.0215 worth .. :-)
> 
> Anthony
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".